
#include <stdio.h>

#ifdef DEBUG
#define dbg(fmt,args...) printf(fmt , ## args)
#else
#define dbg(fmt,args...) do { } while (0)
#endif

#define warn(fmt,args...) fprintf(stderr, fmt , ## args)

// wrap unused param in UNUSED() to turn off -Wextra warning,
// and mangle name so any attempt to use it will fail
#define UNUSED(x) UNUSED_##x __attribute__((unused))

// add a named integer constant to an existing table at tos
#define defconst(name) lua_pushinteger(L, (name)); lua_setfield(L, -2, (#name))
